DBT.DEV_BROADCAST_HANDLE (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: DBT, class: DEV_BROADCAST_HANDLE

Package com.sun.jna.platform.win32

# Class DBT.DEV_BROADCAST_HANDLE

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.DBT.DEV_BROADCAST_HANDLE

Enclosing interface:
  DBT

@FieldOrder({"dbch_size","dbch_devicetype","dbch_reserved","dbch_handle","dbch_hdevnotify","dbch_eventguid","dbch_nameoffset","dbch_data"}) public static class DBT.DEV_BROADCAST_HANDLE extends Structure
The Class DEV_BROADCAST_HANDLE.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `byte[]`
  `dbch_data`
  The dbch_data.
  `int`
  `dbch_devicetype`
  The dbch_devicetype.
  `Guid.GUID`
  `dbch_eventguid`
  The dbch_eventguid.
  `WinNT.HANDLE`
  `dbch_handle`
  The dbch_handle.
  `WinUser.HDEVNOTIFY`
  `dbch_hdevnotify`
  The dbch_hdevnotify.
  `WinDef.LONG`
  `dbch_nameoffset`
  The dbch_nameoffset.
  `int`
  `dbch_reserved`
  The dbch_reserved.
  `int`
  `dbch_size`
  The dbch_size.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DEV_BROADCAST_HANDLE()`
  Instantiates a new dev broadcast handle.
  `DEV_BROADCAST_HANDLE(Pointer memory)`
  Instantiates a new dev broadcast handle.

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### dbch_size

    public int dbch_size
    The dbch_size.

  - ### dbch_devicetype

    public int dbch_devicetype
    The dbch_devicetype.

  - ### dbch_reserved

    public int dbch_reserved
    The dbch_reserved.

  - ### dbch_handle

    public WinNT.HANDLE dbch_handle
    The dbch_handle.

  - ### dbch_hdevnotify

    public WinUser.HDEVNOTIFY dbch_hdevnotify
    The dbch_hdevnotify.

  - ### dbch_eventguid

    public Guid.GUID dbch_eventguid
    The dbch_eventguid.

  - ### dbch_nameoffset

    public WinDef.LONG dbch_nameoffset
    The dbch_nameoffset.

  - ### dbch_data

    public byte[] dbch_data
    The dbch_data.

- ## Constructor Details

  - ### DEV_BROADCAST_HANDLE

    public DEV_BROADCAST_HANDLE()
    Instantiates a new dev broadcast handle.

  - ### DEV_BROADCAST_HANDLE

    public DEV_BROADCAST_HANDLE(Pointer memory)
    Instantiates a new dev broadcast handle.
    Parameters:
      `memory` - the memory